Download it now!
Bug 91261 - FILEOPEN: snapGrid property of paragraphs are ignored
Summary: FILEOPEN: snapGrid property of paragraphs are ignored
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.0.0 target:4.4.4
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-13 15:23 UTC by Mark Hung
Modified: 2015-06-01 10:01 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Illustrate this issue. (14.13 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-05-13 15:23 UTC, Mark Hung
Details
Illustration for the SnapToGrid property of the paragraphs ignored. (21.56 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2015-05-14 14:49 UTC, Mark Hung
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Hung 2015-05-13 15:23:07 UTC
Created attachment 115563 [details]
Illustrate this issue.

Check the attached file. The file was created by MSO 2010 (Traditional Chinese), without altering any page layout setting. The text grid of the page style were turned on, while the "snap to grid"  for all the paragraphs were turned off ( In MSO, it was displayed as if text grid of the page were turned off, so one need to inspect document.xml inside the docx). However Writer ignored that and set "snap to grid" for all the paragraphs to on.
Comment 1 Mark Hung 2015-05-14 14:49:21 UTC
Created attachment 115600 [details]
Illustration for the SnapToGrid property of the paragraphs ignored.

I have to correct the description of the issue:

1. Create a new document in MSO 2010 (Traditional Chinese).
2. Modify the page layout as grid without border lines.
3. Modify properties of first few ( but not all ) paragraphs to disable SnapToGrid.
4. Save the file.
5. Open the file with LibreOffice, seeing that all paragraphs ignores SnapToGrid property.
Comment 2 Commit Notification 2015-05-19 11:42:24 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b7c8c337d4ffad55fe111c9634c4c04afce78bad

tdf#91261: DOCX import: snapGrid property of paragraphs are ignored

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-05-25 14:56:22 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5ad8c6c313f3d540f93742e9308a2773937b3120&h=libreoffice-4-4

tdf#91261: DOCX import: snapGrid property of paragraphs are ignored

It will be available in 4.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Timur 2015-06-01 10:01:51 UTC
"snap to text grid" introduced in LO 3.3, wasn't available in OO.